yapet (2.6-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:06 +1100

yapet (2.6-1ubuntu1) noble; urgency=medium

  * d/p/use-std-fill.patch: use std::fill to reset memory instead of
    std::memset. This fixes armhf test failure (LP: #2058584).
  * d/p/disable-blowfish-tests.patch: disable failing blowfish tests.
    See Debian bug 1064724.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 21 Mar 2024 15:56:18 +1300

yapet (2.6-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:19:25 +0000

yapet (2.6-1) unstable; urgency=medium

  * New upstream version 2.6
    - Add support for OpenSSL 3.0 (Closes: #1006579)
  * Rename Salsa CI configuration file to debian/salsa-ci.yml
  * Declare compliance with Debian policy 4.6.0
  * Update copyright years for debian/* packaging files
  * Refresh "Avoid remote fonts to avoid privacy breach"

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 14 Mar 2022 14:19:11 +0100

yapet (2.5-1) unstable; urgency=medium

  * New upstream version 2.5
  * Declare compliance with Debian policy 4.5.1
  * Refresh "Avoid remote fonts to avoid privacy breach"

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 29 Nov 2020 14:26:20 +0100

yapet (2.4-1) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Salvatore Bonaccorso ]
  * debian/watch: Update URL to match new download location
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 13
  * Declare compliance with Debian policy 4.5.0
  * New upstream version 2.4
    - Fixes FTBFS with GCC-10 (Closes: #958008)
  * Refresh "Avoid remote fonts to avoid privacy breach" patch for context
    changes in 2.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Apr 2020 19:39:35 +0200

yapet (2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * Update copyright years for debian/* packaging files
  * Refresh avoid-remote-font.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 25 Feb 2019 08:46:45 +0100

yapet (2.2-3) unstable; urgency=medium

  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 23:41:06 +0100

yapet (2.2-2) unstable; urgency=medium

  * Avoid remote fonts to avoid privacy breach

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 06 Nov 2018 09:19:39 +0100

yapet (2.2-1) unstable; urgency=medium

  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * New upstream version 2.2
  * Drop Fix-small-typos-for-Mismatch-word-14.patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 05 Nov 2018 20:59:05 +0100

yapet (2.1-2) unstable; urgency=medium

  * Declare smoke-test autopkgtest as superficial
  * Fix small typo in binary for "Mismatch" word
  * Update .gitlab-ci.yml based on Salsa CI Team's template

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 28 Oct 2018 11:05:32 +0100

yapet (2.1-1) unstable; urgency=medium

  * New upstream version 2.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 27 Oct 2018 21:36:44 +0200

yapet (2.0-1) unstable; urgency=medium

  * debian/control: Reference new Homepage
  * debian/.gitlab-ci.yml: Update image used for Gitlab CI
  * Declare compliance with Debian policy 4.2.1
  * Use HTTPS transport protocol in watch URL
  * debian/watch: Bump format to version 4.
    Use @PACKAGE@, @ANY_VERSION@ and @ARCHIVE_EXT@ substitutions.
    Simplify watch URL after upstream download page reorganisation.
  * New upstream version 2.0
  * Add Build-Depends on pkg-config
  * Add Build-Depends on libcppunit-dev for unit tests
  * Add Build-Depends on libargon2-dev
  * Refresh do-not-install-licenses-files.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 24 Oct 2018 00:16:48 +0200

yapet (1.1-1) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * New upstream version 1.1
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Refresh do-not-install-licenses-files.patch patch
  * Drop fix-FTBFS-return-statement-with-a-value.patch patch
  * Drop openssl-1.1.patch patch
  * Add an initial Gitlab CI config file
  * Bump Debhelper compat level to 11
  * Set Rules-Requires-Root to no
  * Declare compliance with Debian policy 4.2.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 07 Aug 2018 20:59:54 +0200

yapet (1.0-9) unstable; urgency=medium

  * Support building against OpenSSL 1.1 (Closes: #828613)
  * Switch Build-Depends from libssl1.0-dev to libssl-dev.
    Build now by default against OpenSSL 1.1.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 13 Nov 2016 10:24:01 +0100

yapet (1.0-8) unstable; urgency=medium

  * Bump Debhelper compat level to 10
  * Remove --with autoreconf from calls to dh.
    With Debhelper compat level 10 the autoreconf sequence is enabled by
    default.
  * Drop Build-Depends on dh-autoreconf
  * Avoid building with OpenSSL 1.1 for now (Cf. #828613)
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS
  * debian/rules: Build enabling all hardening flags

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Nov 2016 17:59:30 +0100

yapet (1.0-7) unstable; urgency=medium

  * Drop installation of Debian menu file for yapet
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Apr 2016 13:55:43 +0200

yapet (1.0-6) unstable; urgency=medium

  * Fix FTBFS with GCC 6: return-statement with a value (Closes: #812017)
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.7

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Feb 2016 14:07:27 +0100

yapet (1.0-5) unstable; urgency=medium

  * Switch to https for the Vcs-Browser URL
  * Add simple smoke test for autopkgtest

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 30 Aug 2014 15:01:49 +0200

yapet (1.0-4) unstable; urgency=medium

  * Add Vcs-Browser and Vcs-Git fields in debian/control file

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Aug 2014 20:14:30 +0200

yapet (1.0-3) unstable; urgency=medium

  * Run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4.
    Replace Build-Depends on autotools-dev with dh-autoreconf and use the
    autoreconf debhelper addon.
    Fixes FTBFS on ppc64el port.
    Thanks to Breno Leitao <brenohl@br.ibm.com> for the patch (Closes: #750694)
  * Refresh do-not-install-licenses-files.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 06 Jun 2014 11:19:45 +0200

yapet (1.0-2) unstable; urgency=low

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 07 Mar 2014 21:24:10 +0100

yapet (1.0-1) experimental; urgency=medium

  * Imported Upstream version 1.0
  * Remove license information for intl/* files (removed)
  * Update copyright years for debian/* packaging files
  * Update copyright years for upstream files
  * Update comment for m4/* files in debian/copyright
  * Remove separate copyright stanza for ./gettext.h
  * Rename debian/menu to debian/yapet.menu
  * Rename debian/docs to debian/yapet.docs
  * Refresh do-not-install-licenses-files.patch patch
  * Drop fix-spelling-error-in-manpage.patch patch
  * Drop desktop-entry-lacks-keywords-entry.patch patch.
    Keywords were added upstream to the desktop file.
  * Declare compliance with Debian Policy 3.9.5
  * Improve upstream version handling in debian/watch file

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 03 Mar 2014 19:48:19 +0100

yapet (0.8~pre2-3) unstable; urgency=low

  * Update debian/copyright file information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for debian/* packaging files.
  * Bump Standards-Version to 3.9.4
  * Update and restore config.sub and config.guess with autotools-dev.
    Use "dh $@ --with autotools_dev" Debhelper addon to update and restore
    config.sub and config.guest during package build. Addresses FTBFS on
    arm64 (aarch64-linux-gnu).
    Thanks to Matthias Klose <doko@debian.org> (Closes: #728011)
  * Add desktop-entry-lacks-keywords-entry.patch patch.
    Add some keywords to the yapet.desktop file.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 27 Oct 2013 18:28:43 +0100

yapet (0.8~pre2-2) unstable; urgency=low

  * Bump Debhelper compat level to 9.
    Adjust Build-Depends on debhelper to (>= 9).
  * Refresh copyright years for debian/* packaging
  * Update format for debian/copyright file.
    Update to revision 174 of format specification in DEP5 proposal for
    machine readable copyright file.
  * Bump Standards-Version to 3.9.2
  * Add fix-spelling-error-in-manpage.patch patch.
    Fix spelling of 'allows to' reported by lintian.
    Thanks to Daniel Kahn Gillmor for helping finding the wording.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 17 Jan 2012 22:10:45 +0100

yapet (0.8~pre2-1) unstable; urgency=low

  * New upstream release
  * Update my email address
  * debian/control: Drop the DM-Upload-Allowed control field.
  * debian/copyright: update copyright years for debian/* packaging.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Feb 2011 21:43:34 +0100

yapet (0.7-2) unstable; urgency=low

  * debian/copyright:
    - Rename field Contact to Maintainer as proposed in revision
      135 of DEP5.
    - Fix typo in abbreviated name for License 'GPL-3+ with OpenSSL
      exception'.
  * debian/NEWS: Add note on new handling of opening password records
    for editing.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 23 Sep 2010 07:50:00 +0200

yapet (0.7-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Refresh copyright years for upstream files.
  * debian/patches:
    - Drop fix-rng-ftbfs-with-g++4.4.patch as it is applied upstream.
    - Drop 565065-fix-FTBFS-with-gcc-4.5.patch as it is applied upstream.
  * Bump Standards-Version to 3.9.1.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Wed, 22 Sep 2010 10:34:10 +0200

yapet (0.6-3) unstable; urgency=low

  * Convert to 3.0 (quilt) package source format. Remove README.source and
    drop use of quilt parameter to dh in rules file.
  * debian/control:
    - Drop Build-Depends on quilt.
    - Update Build-Depends on debhelper (>= 7).
  * Refresh debian/copyright years for debian/* packaging. Referesh file to
    the current format specification of DEP5 for machine readable copyright
    file.
  * Add 565065-fix-FTBFS-with-gcc-4.5.patch to fix FTBFS using
    gcc-4.5/g++-4.5. Thanks Matthias Klose for the bugreport
    (Closes: #565065).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 14 Jan 2010 08:27:43 +0100

yapet (0.6-2) unstable; urgency=low

  * Add fix-rng-ftbfs-with-g++4.4.patch: Fixes FTBFS for yapet rng.cc when
    using gcc-4.4/g++4.4. Thanks again to Martin Michlmayr for reporting this
    issue (Closes: #541093).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 17 Sep 2009 21:37:46 +0200

yapet (0.6-1) unstable; urgency=low

  * New upstream release
    - Fixed serious bug preventing exchange of YAPET files between 32/64
      bit architectures. Please see the NEWS.Debian.gz and README.gz in
      /usr/share/doc/yapet/ for more details (Closes: #543394).
    - /dev/urandom is the default random number generator used for
      generating passwords (Closes: #544140).
    - The random number generator used for generating passwords can be
      selected in the ~/.yapet configuration file.
  * Add README.source to source package as it is rcommended by Debian
    policy since 3.8.0.
  * debian/patches: Refresh do-not-install-licenses-files.patch

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 04 Sep 2009 21:49:08 +0200

yapet (0.5-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - Refresh do-not-install-licenses-files.patch patch.
    - Drop patches with fixes integrated upstream:
      + fix-ftbfs-with-g++-4.4.patch
      + csv2yapet-delimiter-parsing-bug.patch
      + yapet-load-option-cfgfile-if-suffix-missing.patch
  * Bump Standards-Version to 3.8.3 (no changes).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 23 Aug 2009 18:33:42 +0200

yapet (0.4-2) unstable; urgency=low

  * Add fix-ftbfs-with-g++-4.4.patch patch: Fixes FTBFS for yapet when
    using gcc-4.4/g++-4.4. Thanks to  Martin Michlmayr for reporting
    (Closes: #541093).
  * Fix missing changelog entry for 0.4-1 (Bumped Standards-Version to
    3.8.2).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Wed, 12 Aug 2009 19:43:53 +0200

yapet (0.4-1) unstable; urgency=low

  * New upstream release
    - New utility csv2yapet to convert CSV file to YAPET files.
  * debian/patches:
    - Add csv2yapet-delimiter-parsing-bug.patch: Fixes bug causing
      Fields containing the field delimiter in their values make
      csv2yapet misinterpret the CSV file.
    - Add yapet-load-option-cfgfile-if-suffix-missing.patch: The load
      option in the .yapet configuration does not work if the suffix
      .pet in the file path is omitted.
  * debian/control: Bump Standards-Version to 3.8.2 (no changes).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 07 Aug 2009 21:30:49 +0200

yapet (0.3a-1) unstable; urgency=low

  * Initial release (Closes: #532268)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 13 Jun 2009 12:10:34 +0200
